apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ ldap_name }}-config
  namespace: {{ config_namespace | default(namespace) }}
data:
  ldap.conf: |
{% if k8s_flavor == 'openshift' %}
    TLS_CACERT /run/secrets/kubernetes.io/serviceaccount/ca.crt
    TLS_REQCERT demand
{% else %}
    TLS_CACERT /certs/ca.crt
    TLS_REQCERT demand
{% endif %}
    URI ldaps://{{ ldap_name }}.{{ ldap_namespace | default(namespace) }}.svc.{{ cluster_domain }}:1636
